=== debian/changelog ===
gm-assistant (1.2.3-2) unstable; urgency=medium

  * Source-only upload to enable migration

 -- Vincent Prat <vivi@debian.org>  Wed, 21 Oct 2020 20:17:40 +0200

gm-assistant (1.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #662985)

 -- Vincent Prat <vivi@debian.org>  Fri, 14 Aug 2020 20:34:01 +0200
