=== debian/control ===
Source: gm-assistant
Section: games
Priority: optional
Maintainer: Vincent Prat <vivi@debian.org>
Build-Depends: cmake,
               debhelper (>= 13),
               debhelper-compat (= 13),
               latex2html,
               libpoco-dev,
               libqt5svg5-dev,
               lmodern,
               qtmultimedia5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               texlive-fonts-recommended,
               texlive-lang-french,
               texlive-latex-base,
               texlive-latex-recommended
Standards-Version: 4.5.0
Homepage: http://gmassistant.free.fr
Vcs-Browser: https://salsa.debian.org/vivi/gm-assistant
Vcs-Git: https://salsa.debian.org/vivi/gm-assistant.git
Rules-Requires-Root: no

Package: gm-assistant
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Game Master assistant for role-playing games
 GM-Assistant is designed to be the perfect assistant for the Game Master
 during tabletop role-playing games.
 .
 GM-Assistant enables to build structured scenarii with history and character
 table before the game, and to take notes, play music or sound effects, and
 display pictures during the game.
 It also includes a dice simulator and a combat manager.

Package: gm-assistant-doc
Section: doc
Architecture: all
Suggests: gm-assistant (= ${binary:Version})
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Game Master assistant for role-playing games - user guide
 GM-Assistant is designed to be the perfect assistant for the Game Master
 during tabletop role-playing games.
 .
 GM-Assistant enables to build structured scenarii with history and character
 table before the game, and to take notes, play music or sound effects, and
 display pictures during the game.
 It also includes a dice simulator and a combat manager.
 .
 This package contains the user guide.
