=== debian/watch ===
version=4
https://github.com/ViviCoder/GM-Assistant/tags/ \
  /ViviCoder/GM-Assistant/archive/([\d\.]+).tar.gz
