=== debian/changelog ===
gm-assistant (1.2.4-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:21:47 +0000

gm-assistant (1.2.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:01:11 +0000

gm-assistant (1.2.4-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:29:22 +0000

gm-assistant (1.2.4-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches
  * Update d/copyright
  * Include HTML documentation
  * Recommends libqt5multimedia5-plugins

 -- Vincent Prat <vivi@debian.org>  Wed, 02 Mar 2022 20:42:26 +0100

gm-assistant (1.2.3-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Mark debian/rules as executable.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Vincent Prat <vivi@debian.org>  Sat, 18 Sep 2021 12:27:55 +0200

gm-assistant (1.2.3-3) unstable; urgency=medium

  * Fix d/watch
  * Update Standards-Version to 4.6.0. No change needed.

 -- Vincent Prat <vivi@debian.org>  Sat, 21 Aug 2021 14:44:12 +0200
