=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gm-assistant
 Section: games
 Priority: optional
-Maintainer: Vincent Prat <vivi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Prat <vivi@debian.org>
 Build-Depends: cmake,
                debhelper (>= 13),
                debhelper-compat (= 13),
@@ -16,7 +17,7 @@
                texlive-lang-french,
                texlive-latex-base,
                texlive-latex-recommended
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://gmassistant.free.fr
 Vcs-Browser: https://salsa.debian.org/vivi/gm-assistant
 Vcs-Git: https://salsa.debian.org/vivi/gm-assistant.git
@@ -26,6 +27,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: libqt5multimedia5-plugins
 Description: Game Master assistant for role-playing games
  GM-Assistant is designed to be the perfect assistant for the Game Master
  during tabletop role-playing games.
